Bug 14 - Older drives need the cdparanoia|debug section active.
Summary: Older drives need the cdparanoia|debug section active.
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: Ripping (show other bugs)
Version: unspecified
Hardware: PC Linux
: Normal normal
Assignee: Sean Pappalardo
URL:
Depends on:
Blocks:
 
Reported: 2015-10-20 21:40 BST by Sean Pappalardo
Modified: 2017-01-14 16:51 GMT (History)
2 users (show)

See Also:


Attachments
Uncomment cdparanoia section. (1.48 KB, patch)
2016-06-16 21:24 BST, Sean Pappalardo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Pappalardo 2015-10-20 21:40:45 BST
I have a tower of seven Plextor 32X SCSI CD-ROM drives that feature DAE (firmware 1.02) and they only work with the Paranoia library, as it knows how to talk the Plextor-specific DAE language these drives use.

Why is the "cdparanoia|debug" section commented out in abcde? Simply uncommenting it allows these drives to work correctly, though I need to specify them as /dev/sg* (/dev/cdrom* and /dev/sr* don't work.) FWIW, my other much newer ATAPI drives also still work correctly with this section uncommented (addressed as /dev/cdrom*)

Tested with v2.6 and 2.7.1 of abcde.
Comment 1 Sean Pappalardo 2016-06-16 21:24:15 BST
Created attachment 21 [details]
Uncomment cdparanoia section.

This is still a problem in 2.7.2. Simply uncommenting the cdparanoia section fixes it. Patch against 2.7.2 attached that does exactly that.
Comment 2 Steve McIntyre 2017-01-13 00:07:36 GMT
This is a very good question - I can't find any logic why that code is commented out, and this code predates any history I can find.

Uncommenting things now for the new 2.8 release...
Comment 3 Steve McIntyre 2017-01-14 16:51:51 GMT
Fix released in 2.8